#
# Summary
#
# * [First Steps](FirstSteps/README.md) #TODO
#  * [Getting Familiar](FirstSteps/GettingFamiliar.md) #TODO
* [Getting Started](GettingStarted/README.md)
  # move to administration (command line options)?
  # * [Install and run the server](FirstSteps/Arangod.md) #TODO
  * [Installing](GettingStarted/Installing/README.md)
    * [Linux](GettingStarted/Installing/Linux.md)
    * [Mac OS X](GettingStarted/Installing/MacOSX.md)
    * [Windows](GettingStarted/Installing/Windows.md)
    * [Compiling](GettingStarted/Installing/Compiling.md)
  * [Authentication](GettingStarted/Authentication.md)
  * [Accessing the Web Interface](GettingStarted/WebInterface.md)
  * [Coming from SQL](GettingStarted/ComingFromSql.md)
  # * [Coming from MongoDB](GettingStarted/ComingFromMongoDb.md) #TODO
#
* [Scalability](Scalability/README.md)
  * [Architecture](Scalability/Architecture.md)
  * [Data models](Scalability/DataModels.md)
  * [Limitations](Scalability/Limitations.md)
#
* [Data model & modeling](DataModeling/README.md)
# * [Collections](FirstSteps/CollectionsAndDocuments.md) #TODO
  * [Concepts](DataModeling/Concepts.md)
  * [Databases](DataModeling/Databases/README.md)
    * [Working with Databases](DataModeling/Databases/WorkingWith.md)
    * [Notes about Databases](DataModeling/Databases/Notes.md)
  * [Collections](DataModeling/Collections/README.md)
    * [Collection Methods](DataModeling/Collections/CollectionMethods.md)
    * [Database Methods](DataModeling/Collections/DatabaseMethods.md)
  * [Documents](DataModeling/Documents/README.md)
    * [Basics and Terminology](DataModeling/Documents/DocumentAddress.md)
    * [Collection Methods](DataModeling/Documents/DocumentMethods.md)
    * [Database Methods](DataModeling/Documents/DatabaseMethods.md)
  * [Graphs, Vertices & Edges](DataModeling/GraphsVerticesEdges.md)
  * [Naming Conventions](DataModeling/NamingConventions/README.md)
    * [Database Names](DataModeling/NamingConventions/DatabaseNames.md)
    * [Collection Names](DataModeling/NamingConventions/CollectionNames.md)
    * [Document Keys](DataModeling/NamingConventions/DocumentKeys.md)
    * [Attribute Names](DataModeling/NamingConventions/AttributeNames.md)
#  * [Modeling Relationships](DataModeling/ModelingRelationships.md)
#
* [Indexing](Indexing/README.md)
  * [Index Basics](Indexing/IndexBasics.md)
  * [Which index to use when](Indexing/WhichIndex.md)
  * [Index Utilization](Indexing/IndexUtilization.md)
  * [Working with Indexes](Indexing/WorkingWithIndexes.md)
    * [Hash Indexes](Indexing/Hash.md)
    * [Skiplists](Indexing/Skiplist.md)
    * [Persistent](Indexing/Persistent.md)
    * [Fulltext Indexes](Indexing/Fulltext.md)
    * [Geo Indexes](Indexing/Geo.md)
#
* [Graphs](Graphs/README.md)
  * [General Graphs](Graphs/GeneralGraphs/README.md)
    * [Graph Management](Graphs/GeneralGraphs/Management.md)
    * [Graph Functions](Graphs/GeneralGraphs/Functions.md)
  * [Traversals](Graphs/Traversals/README.md)
    * [Using Traversal Objects](Graphs/Traversals/UsingTraversalObjects.md)
    * [Example Data](Graphs/Traversals/ExampleData.md)
  * [Working with Edges](Graphs/Edges/README.md)
#
* [Foxx Microservices](Foxx/README.md)
  * [At a glance](Foxx/AtAGlance.md)
  * [Getting started](Foxx/GettingStarted.md)
  * [Service manifest](Foxx/Manifest.md)
  * [Service context](Foxx/Context.md)
  * [Configuration](Foxx/Configuration.md)
  * [Dependencies](Foxx/Dependencies.md)
  * [Routers](Foxx/Router/README.md)
    * [Endpoints](Foxx/Router/Endpoints.md)
    * [Middleware](Foxx/Router/Middleware.md)
    * [Request](Foxx/Router/Request.md)
    * [Response](Foxx/Router/Response.md)
  * [Sessions middleware](Foxx/Sessions/README.md)
    * [Session storages](Foxx/Sessions/Storages/README.md)
      * [Collection storage](Foxx/Sessions/Storages/Collection.md)
      * [JWT storage](Foxx/Sessions/Storages/JWT.md)
    * [Session transports](Foxx/Sessions/Transports/README.md)
      * [Cookie transport](Foxx/Sessions/Transports/Cookie.md)
      * [Header transport](Foxx/Sessions/Transports/Header.md)
  * [Serving files](Foxx/Assets.md)
#  * [Writing tests](Foxx/Testing.md)
  * [Scripts and queued jobs](Foxx/Scripts.md)
  * [Migrating 2.x services](Foxx/Migrating2x/README.md)
    * [Migrating from pre-2.8](Foxx/Migrating2x/Wayback.md)
    * [manifest.json](Foxx/Migrating2x/Manifest.md)
    * [applicationContext](Foxx/Migrating2x/Context.md)
    * [Repositories and Models](Foxx/Migrating2x/Repositories.md)
    * [Controllers](Foxx/Migrating2x/Controllers/README.md)
      * [Request context](Foxx/Migrating2x/Controllers/Endpoints.md)
      * [Error handling](Foxx/Migrating2x/Controllers/Errors.md)
      * [Before/After/Around](Foxx/Migrating2x/Controllers/Middleware.md)
      * [Request object](Foxx/Migrating2x/Controllers/Request.md)
      * [Response object](Foxx/Migrating2x/Controllers/Response.md)
      * [Dependency Injection](Foxx/Migrating2x/Controllers/IoC.md)
    * [Sessions](Foxx/Migrating2x/Sessions.md)
    * [Auth and OAuth2](Foxx/Migrating2x/Auth.md)
    * [Foxx Queries](Foxx/Migrating2x/Queries.md)
  * [Legacy compatibility mode](Foxx/LegacyMode.md)
  * [User management](Foxx/Users.md)
  * [Related modules](Foxx/Modules.md)
    * [Authentication](Foxx/Auth.md)
#    * [OAuth 2.0](Foxx/OAuth2.md)
* [Transactions](Transactions/README.md)
  * [Transaction invocation](Transactions/TransactionInvocation.md)
  * [Passing parameters](Transactions/Passing.md)
  * [Locking and isolation](Transactions/LockingAndIsolation.md)
  * [Durability](Transactions/Durability.md)
  * [Limitations](Transactions/Limitations.md)
#
# Use cases / Advanced usage / Best practice (?)
#
* [Deployment](Deployment/README.md)
  * [Single instance](Deployment/Single.md)
  * [Cluster: Local test](Deployment/Local.md)
  * [Cluster: DC/OS](Deployment/Mesos.md)
  * [Cluster: Docker](Deployment/Docker.md)
#
* [Administration](Administration/README.md)
  * [Web Interface](Administration/WebInterface/README.md)
    * [Queries](Administration/WebInterface/AqlEditor.md)
    * [Collections](Administration/WebInterface/Collections.md)
    * [Cluster](Administration/WebInterface/Cluster.md)
    * [Dashboard](Administration/WebInterface/Dashboard.md)
    * [Document](Administration/WebInterface/Document.md)
    * [Logs](Administration/WebInterface/Logs.md)
    * [Services](Administration/WebInterface/Services.md)
    * [Graphs](Administration/WebInterface/Graphs.md)
  * [ArangoDB Shell](Administration/Arangosh/README.md)
    * [Shell Output](Administration/Arangosh/Output.md)
    * [Configuration](Administration/Arangosh/Configuration.md)
    # relocate file?
    * [Details](GettingStarted/Arangosh.md)
  * [Arangoimp](Administration/Arangoimp.md)
  * [Arangodump](Administration/Arangodump.md)
  * [Arangorestore](Administration/Arangorestore.md)
  * [Managing Users](Administration/ManagingUsers.md)
  * [Server Configuration](Administration/Configuration/README.md)
    * [Arangod options](Administration/Configuration/Arangod.md)
    * [Write-ahead log options](Administration/Configuration/Wal.md)
    * [Managing Endpoints](Administration/Configuration/Endpoint.md)
    * [Cluster options](Administration/Configuration/Cluster.md)
    * [Logging options](Administration/Configuration/Logging.md)
    * [Communication options](Administration/Configuration/Communication.md)
  * [Durability](Administration/Durability.md)
  * [Replication](Administration/Replication/README.md)
    * [Asynchronous Replication](Administration/Replication/Asynchronous/README.md)
      * [Components](Administration/Replication/Asynchronous/Components.md)
      * [Example Setup](Administration/Replication/Asynchronous/ExampleSetup.md)
      * [Syncing Collections](Administration/Replication/Asynchronous/SyncingCollections.md)
      * [Replication Limitations](Administration/Replication/Asynchronous/Limitations.md)
    * [Synchronous Replication](Administration/Replication/Synchronous/README.md)
      * [Implementation](Administration/Replication/Synchronous/Implementation.md)
      * [Configuration](Administration/Replication/Synchronous/Configuration.md)
  * [Sharding](Administration/Sharding/README.md)
#    * [Authentication](Administration/Sharding/Authentication.md)
#    * [Firewall setup](Administration/Sharding/FirewallSetup.md)
  * [Upgrading](Administration/Upgrading/README.md)
    * [Upgrading to 3.0](Administration/Upgrading/Upgrading30.md)
    * [Upgrading to 2.8](Administration/Upgrading/Upgrading28.md)
    * [Upgrading to 2.6](Administration/Upgrading/Upgrading26.md)
    * [Upgrading to 2.5](Administration/Upgrading/Upgrading25.md)
    * [Upgrading to 2.4](Administration/Upgrading/Upgrading24.md)
    * [Upgrading to 2.3](Administration/Upgrading/Upgrading23.md)
    * [Upgrading to 2.2](Administration/Upgrading/Upgrading22.md)
#
* [Troubleshooting](Troubleshooting/README.md)
  * [arangod](Troubleshooting/Arangod.md)
  * [Emergency Console](Troubleshooting/EmergencyConsole.md)
  * [Datafile Debugger](Troubleshooting/DatafileDebugger.md)
  * [Arangobench](Troubleshooting/Arangobench.md)
#
* [Architecture](Architecture/README.md)
  * [Write-ahead log](Architecture/WriteAheadLog.md)
#  * [Server Internals](Architecture/ServerInternals.md)
#
* [Release notes](ReleaseNotes/README.md)
  * [Whats New in 3.0](ReleaseNotes/NewFeatures30.md)
  * [Whats New in 2.8](ReleaseNotes/NewFeatures28.md)
  * [Whats New in 2.7](ReleaseNotes/NewFeatures27.md)
  * [Whats New in 2.6](ReleaseNotes/NewFeatures26.md)
  * [Whats New in 2.5](ReleaseNotes/NewFeatures25.md)
  * [Whats New in 2.4](ReleaseNotes/NewFeatures24.md)
  * [Whats New in 2.3](ReleaseNotes/NewFeatures23.md)
  * [Whats New in 2.2](ReleaseNotes/NewFeatures22.md)
  * [Whats New in 2.1](ReleaseNotes/NewFeatures21.md)
  # Place next to Upgrading instead?
  * [Incompatible changes in 3.0](ReleaseNotes/UpgradingChanges30.md)
  * [Incompatible changes in 2.8](ReleaseNotes/UpgradingChanges28.md)
  * [Incompatible changes in 2.7](ReleaseNotes/UpgradingChanges27.md)
  * [Incompatible changes in 2.6](ReleaseNotes/UpgradingChanges26.md)
  * [Incompatible changes in 2.5](ReleaseNotes/UpgradingChanges25.md)
  * [Incompatible changes in 2.4](ReleaseNotes/UpgradingChanges24.md)
  * [Incompatible changes in 2.3](ReleaseNotes/UpgradingChanges23.md)
#
* [Appendix](Appendix/README.md)
  * [References](Appendix/References/README.md)
    * [db](Appendix/References/DBObject.md)
    * [collection](Appendix/References/CollectionObject.md)
  * [JavaScript Modules](Appendix/JavaScriptModules/README.md)
    * [console](Appendix/JavaScriptModules/Console.md)
    * [crypto](Appendix/JavaScriptModules/Crypto.md)
    * [fs](Appendix/JavaScriptModules/FileSystem.md)
    * [request](Appendix/JavaScriptModules/Request.md)
    * [actions](Appendix/JavaScriptModules/Actions.md)
    * [queries](Appendix/JavaScriptModules/Queries.md)
    * [Write-ahead log](Appendix/JavaScriptModules/WAL.md)
    * [Task Management](Appendix/JavaScriptModules/Tasks.md)
  * [Deprecated](Appendix/Deprecated/README.md)
      * [Simple Queries](Appendix/Deprecated/SimpleQueries/README.md)
        * [Sequential Access](Appendix/Deprecated/SimpleQueries/Access.md)
        * [Pagination](Appendix/Deprecated/SimpleQueries/Pagination.md)
        * [Modification Queries](Appendix/Deprecated/SimpleQueries/ModificationQueries.md)
        * [Geo Queries](Appendix/Deprecated/SimpleQueriesGeoQueries.md)
        * [Fulltext Queries](Appendix/Deprecated/SimpleQueries/FulltextQueries.md)
      * [Actions](Appendix/Deprecated/Actions/README.md)
        * [Delivering HTML Pages](Appendix/Deprecated/Actions/HtmlExample.md)
        * [Json Objects](Appendix/Deprecated/Actions/JsonExample.md)
        * [Modifying](Appendix/Deprecated/Actions/Modifying.md)
  # Link to here from arangosh, actions, foxx, transactions
  * [Error codes and meanings](Appendix/ErrorCodes.md)
  * [Glossary](Appendix/Glossary.md)
